Mail::SPF::Term(3pm)

NAME
Mail::SPF::Term - SPF record term class

VERSION
version 3.20260331

DESCRIPTION
An object of class Mail::SPF::Term represents a term within an SPF record. Mail::SPF::Term cannot be instantiated directly. Create an instance of a concrete sub-class instead.

  Constructor
The following constructor is provided:

new(%options): returns Mail::SPF::Term
    Abstract. Creates a new SPF record term object.

    %options is a list of key/value pairs, however Mail::SPF::Term itself specifies no constructor options.

new_from_string($text, %options): returns Mail::SPF::Term; throws Mail::SPF::ENothingToParse, Mail::SPF::EInvalidTerm
    Abstract. Creates a new SPF record term object by parsing the string and any options given.

  Class methods
The following class methods are provided:

name_pattern: returns Regexp
    Returns a regular expression that matches any legal name for an SPF record term.

  Instance methods
The following instance methods are provided:

text: returns string; throws Mail::SPF::ENoUnparsedText
    Returns the unparsed text of the term. Throws a Mail::SPF::ENoUnparsedText exception if the term was created synthetically instead of being parsed, and no text was provided.

name: returns string
    Abstract. Returns the name of the term.

SEE ALSO
Mail::SPF, Mail::SPF::Record, Mail::SPF::Mech, Mail::SPF::Mod

<http://tools.ietf.org/html/rfc4408>

For availability, support, and license information, see the README file included with Mail::SPF.

AUTHORS
Julian Mehnle <julian@mehnle.net>, Shevek <cpan@anarres.org>